Bug 583672 - Review Request: tomtom - A CLI interface to Tomboy or Gnote via dbus
Review Request: tomtom - A CLI interface to Tomboy or Gnote via dbus
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-Legal
  Show dependency treegraph
 
Reported: 2010-04-19 07:28 EDT by Ankur Sinha (FranciscoD)
Modified: 2010-08-02 22:56 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-02 22:56:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ankur Sinha (FranciscoD) 2010-04-19 07:28:54 EDT
Spec URL: http://ankursinha.fedorapeople.org/tomtom/tomtom.spec
SRPM URL: http://ankursinha.fedorapeople.org/tomtom/tomtom-0.3-1.fc12.src.rpm
Description: 

Tomtom is an interface to Tomboy notes or Gnote that uses dbus 
to communicate. It presents a command-line interface and tries 
to be as simple to use as possible. Different actions can be  
taken to interact with Tomboy or Gnote. Actions are simple to  
create, making the application easily extensible.


rpmlint output:

[Package@localhost SPECS]$ rpmlint ../SRPMS/tomtom-0.3-1.fc12.src.rpm ../RPMS/x86_64/tomtom-* tomtom.spec 
tomtom.src: W: spelling-error Summary(en_US) dbus -> dubs, bus, buds
tomtom.src: W: spelling-error %description -l en_US dbus -> dubs, bus, buds
tomtom.src: W: invalid-url Source0: lelutin-tomtom-4f515cb.tar.gz
tomtom.x86_64: W: spelling-error Summary(en_US) dbus -> dubs, bus, buds
tomtom.x86_64: W: spelling-error %description -l en_US dbus -> dubs, bus, buds
tomtom.x86_64: E: no-binary
tomtom-debuginfo.x86_64: E: empty-debuginfo-package
tomtom.spec: W: invalid-url Source0: lelutin-tomtom-4f515cb.tar.gz
3 packages and 1 specfiles checked; 2 errors, 6 warnings.


uses an updated python-setuptool (i made this locally to build for the timebeing) 

http://ankursinha.fedorapeople.org/python-setuptools-0.6c11-1.fc12.noarch.rpm

bug filed requesting update here:

https://bugzilla.redhat.com/show_bug.cgi?id=583601
Comment 1 Gabriel Filion 2010-04-19 23:20:04 EDT
This was caused by the "ez_setup.py" script trying to automatically download the latest version of setuptools.

The upstream code fixed this issue. The corrected version can be found at:

http://github.com/lelutin/tomtom/tree/7d6f5bf619bf3c6a0deff36de229a7200c8bf617

This change also removes a build dependency on python-dbus.
Comment 2 Rahul Sundaram 2010-04-25 04:36:11 EDT
Ankur, 

Please pull in the patch from upstream that drop the dependency on latest setuptools as well as python-dbus and submit the new spec and srpm for review. 

Gabriel Filion.

It would be nice if you do regular releases as source archives and have a place to report bugs. You might also consider registering in transifex.net for L10N infrastructure.
Comment 3 Gabriel Filion 2010-04-25 14:54:25 EDT
Rahul Sundaram,

The project is hosted on github and tags are listed in the "download" section. They can be downloaded as .tar.gz archives:

http://github.com/lelutin/tomtom/downloads

Also, I use the "issues" section of the site for bug reports:

http://github.com/lelutin/tomtom/issues

For translation, I'm thinking of subscribing to such a site soon. But for now, I didn't set the foundations for l10n in the code (the english text is hardcoded, it doesn't go through gettext). So, I'll try and set this up for the next release.
Comment 4 Ankur Sinha (FranciscoD) 2010-04-30 09:47:06 EDT
(In reply to comment #1)
> This was caused by the "ez_setup.py" script trying to automatically download
> the latest version of setuptools.
> 
> The upstream code fixed this issue. The corrected version can be found at:
> 
> http://github.com/lelutin/tomtom/tree/7d6f5bf619bf3c6a0deff36de229a7200c8bf617
> 
> This change also removes a build dependency on python-dbus.    

hey,

new sources:

http://ankursinha.fedorapeople.org/tomtom/tomtom-0.3.1-1.fc12.src.rpm

http://ankursinha.fedorapeople.org/tomtom/tomtom.spec

The man page isn't working like its supposed to.. Gabriel gave me a tomtom.1 text file which i "tar -czf"ed to tomtom.1.gz as SOURCE1. Is the procedure another?

regards,
Ankur
Comment 5 Gabriel Filion 2010-05-01 03:47:05 EDT
hello, from what I can see in Debian, all the files are simply gzipped and not tarred:

$ ls /usr/share/man/man1/
[.1.gz                             mbchk.1.gz
411toppm.1.gz                      mcat.1.gz
a2p.1.gz                           mcd.1.gz
[...]

$ file /usr/share/man/man1/mcat.1.gz 
/usr/share/man/man1/mcat.1.gz: gzip compressed data, from Unix, max compression

so instead of using "tar -czf", try using "gzip -9 tomtom.1". but I don't know if there's a better/fedora way to compress the file automatically during the package installation or construction.
Comment 6 Mamoru TASAKA 2010-05-01 04:11:18 EDT
Only for this issue:

(In reply to comment #4)
> The man page isn't working like its supposed to.. Gabriel gave me a tomtom.1
> text file which i "tar -czf"ed to tomtom.1.gz as SOURCE1. Is the procedure
> another?

- I don't know why tar is used here. man pages are usually gzip'ed.
  However here you don't have to gzip tomtom.1 by yourself.
  Just include the "plain" tomtom.1 as %SOURCEX and install the plain
  man page into %_mandir/man? . rpmbuild process will automatically
  gzip's man pages automatically

$ rpm --eval %__os_install_post

    /usr/lib/rpm/redhat/brp-compress 
    
    /usr/lib/rpm/redhat/brp-strip /usr/bin/strip 
    /usr/lib/rpm/redhat/brp-strip-comment-note /usr/bin/strip /usr/bin/objdump 
     
    /usr/lib/rpm/redhat/brp-strip-static-archive /usr/bin/strip 
    /usr/lib/rpm/brp-python-bytecompile /usr/bin/python 1 
    /usr/lib/rpm/redhat/brp-python-hardlink 
    /usr/lib/rpm/redhat/brp-java-repack-jars 

  and please see the file "/usr/lib/rpm/redhat/brp-compress".
Comment 7 Dan Horák 2010-05-01 04:25:06 EDT
blocking FE-Legal because the package/project name is a trademark
Comment 8 Ankur Sinha (FranciscoD) 2010-05-01 05:33:55 EDT
(In reply to comment #6)
> Only for this issue:
> 
> (In reply to comment #4)
> > The man page isn't working like its supposed to.. Gabriel gave me a tomtom.1
> > text file which i "tar -czf"ed to tomtom.1.gz as SOURCE1. Is the procedure
> > another?
> 
> - I don't know why tar is used here. man pages are usually gzip'ed.
>   However here you don't have to gzip tomtom.1 by yourself.
>   Just include the "plain" tomtom.1 as %SOURCEX and install the plain
>   man page into %_mandir/man? . rpmbuild process will automatically
>   gzip's man pages automatically
> 
> $ rpm --eval %__os_install_post
> 
>     /usr/lib/rpm/redhat/brp-compress 
> 
>     /usr/lib/rpm/redhat/brp-strip /usr/bin/strip 
>     /usr/lib/rpm/redhat/brp-strip-comment-note /usr/bin/strip /usr/bin/objdump 
> 
>     /usr/lib/rpm/redhat/brp-strip-static-archive /usr/bin/strip 
>     /usr/lib/rpm/brp-python-bytecompile /usr/bin/python 1 
>     /usr/lib/rpm/redhat/brp-python-hardlink 
>     /usr/lib/rpm/redhat/brp-java-repack-jars 
> 
>   and please see the file "/usr/lib/rpm/redhat/brp-compress".    


hi,

Tried only using the plain man file tomtom.1. I get gibberish on going "man tomtom". Did I miss anything?

[Package@Ankur SPECS]$ man tomtom
BZh91AY&SYY{¸äPÀ0Ì)¦b’¹"(H,½Ür.

(END)

New srpm and specs at 

http://ankursinha.fedorapeople.org

I've uploaded the tomtom.1 file too along with mock build logs.

http://ankursinha.fedorapeople.org/tomtom/tomtom.spec

http://ankursinha.fedorapeople.org/tomtom/tomtom-0.3.1-1.fc12.noarch.rpm

http://ankursinha.fedorapeople.org/tomtom/tomtom.1

regards,
Ankur
Comment 9 Gabriel Filion 2010-05-02 00:22:45 EDT
> blocking FE-Legal because the package/project name is a trademark

oh, now this is a show stopper... Are we supposed to discuss about a resolution for this in this ticket, or is there a better place?

I thought up of two alternative names that would stay in the same spirit (keeping a relation in name to Tomboy):
* tomgirl
* chickboy

Are those also trademarked?
Comment 10 Jason Tibbitts 2010-05-02 01:11:31 EDT
It may be that there is no problem; it may be best to wait for spot to chime in and indicate whether or not there's an actual issue before worrying about renaming things.  Unless, of course, you think that confusion with the navigation aid is something that should be avoided in any case.

The phrase "tomtom" is registered for various different uses by different categories; the one in question is probably serial number 79031570.  (Go to http://www.uspto.gov/trademarks/index.jsp to search the US trademark database; I don't think the links I get are stable.)  The registration is very narrow, covering software only as it relates to GPS systems, but I'm no lawyer so I can't say if there's a conflict.

The only live registration for "tomgirl" is as "tomgirl toys" which is non-conflicting.  I see no registrations for anything relating to "chickboy" although, well, it sounds like a euphemism for "transsexual".
Comment 11 Gabriel Filion 2010-05-11 23:51:06 EDT
(In reply to comment #10)
> It may be that there is no problem; it may be best to wait for spot to chime in
> and indicate whether or not there's an actual issue before worrying about
> renaming things.  Unless, of course, you think that confusion with the
> navigation aid is something that should be avoided in any case.
> 
> The phrase "tomtom" is registered for various different uses by different
> categories; the one in question is probably serial number 79031570.  (Go to
> http://www.uspto.gov/trademarks/index.jsp to search the US trademark database;
> I don't think the links I get are stable.)  The registration is very narrow,
> covering software only as it relates to GPS systems, but I'm no lawyer so I
> can't say if there's a conflict.
> 

interesting. well, I guess I'll wait for someone to check it out. if it's possible, I'd rather keep the name.

> The only live registration for "tomgirl" is as "tomgirl toys" which is
> non-conflicting.  I see no registrations for anything relating to "chickboy"
> although, well, it sounds like a euphemism for "transsexual".    

hmm yeah, I thought about it and tomgirl is kinda weird and I don't entirely like chickboy...
for info, chickboy is a rather new slang that has the same meaning as tomboy. but I admit it sounds kinda weird as a program name.

well, I'll think about it more if I have to.
Comment 12 Tom "spot" Callaway 2010-06-02 11:48:45 EDT
Please rename this. There is a clear trademark concern, even though the space is slightly different.
Comment 13 Gabriel Filion 2010-06-26 02:09:58 EDT
hello.

Some time has passed since the last comment about renaming the project, and I settled on a new name. I'd like to get Redhat's legal team approval if possible before actually renaming the project.

The name that I would like to use is "Scout", after the character "Jean Louise 'Scout' Finch" in the book "To kill a mockingbird". I have searched for trademarks with this word on the uspto.gov site and I didn't find anything that seems to be directly using this name.

Would this name have the approval of the legal team? If so, I'll rename the project right away and packaging can then continue without the fear of future legal/acceptation problems.
Comment 14 Tom "spot" Callaway 2010-07-12 21:20:15 EDT
Red Hat Legal advises that they can't give out legal advise to independent projects, so whether that name is free of any possible legal claim is something you'd need to talk to your own lawyer about.

With that said, they're okay with Fedora including this code under the name "Scout".
Comment 15 Rahul Sundaram 2010-08-02 22:56:47 EDT
Ankur, 

You will have to file a new review request as upstream has selected the name "Scout" now.   Closing this one.  

http://mail.gnome.org/archives/gnote-list/2010-July/msg00000.html

Note You need to log in before you can comment on or make changes to this bug.